Commit ccd275d2 authored by Thomas Haller's avatar Thomas Haller
Browse files

all: merge the stable branch 'nm-1-2' into master

For the moment, don't maintain a separate stable branch in upstream, until
'master' bumps the required NetworkManager API to 1.3. Until then, 'master'
and 'nm-1-2' shall be identical.

For NetworkManager-core (which provides libnm) and network-manager-applet
(which provides libnma) we maintain stable branches like 'nm-1-0', 'nm-1-2'.
This is useful, because those branches have different, backward-compatible
API that is used by other projects. But what is best for NetworkManager core,
is not necesarily best for the plugins.

For the VPN plugins, with the release of 1.2.0 we also branched 'nm-1-2' off
'master' and since then maintained a stable branch upstream.

This either means, we eagerly backport from 'master' to 'nm-1.2', in
which case it's a lot of work with the effect of having two mostly
identical branches. In this form 'nm-1-2' isn't very useful.
Or we don't backport eagerly, which may or may not result in 'nm-1-2'
being more stable. Especially since upstream NetworkManager does releases
infrequently, it can take a rather long time until we release 1.4.0 and
improvements on master don't reach users for a long time.

'master' still doesn't require >= 1.3 API from NetworkManager, libnm or libnma.
The VPN plugins are rather simple, and there is no strong enough justification
to maintain two separate branches both based on 1.2 NetworkManager API.
'master' shall always be in a decent shape. So, it's not clear that the
outcome of this is actually less stable. And there is no guarantee that any
branch, stable or not, is perfect. Downstream must be prepared to backport
necessary patches.

This merge, resets the version number from 1.3.0 to 1.2.3.

Also, on master we implemented the GTK plugin split, so the next release
1.2.4 (or 1.4.0, whichever happens first), will bring that too. This
will affects packaging due to new files. But I consider this a worthy
feature to have on 1.2 anyway and without this merge I'd alose like to see
it backported.

https://mail.gnome.org/archives/networkmanager-list/2016-May/msg00085.html
parents 448ebb48 58866465
=======================================================
NetworkManagerg-openvpn-1.2.2
Overview of changes since NetworkManager-openvpn-1.2
=======================================================
This is a new stable release of NetworkManager-openvpn. Notable changes include:
* Fixed validation of proxy port
* Use a proper name for the AppStream metadata
* Updated Hungarian translation
=======================================================
NetworkManagerg-openvpn-1.2
Overview of changes since network-manager-openvpn-1.0
......
AC_PREREQ(2.52)
AC_INIT(NetworkManager-openvpn,
1.3.0,
1.2.3,
https://bugzilla.gnome.org/enter_bug.cgi?product=NetworkManager,
NetworkManager-openvpn)
AM_INIT_AUTOMAKE([1.9 subdir-objects tar-ustar no-dist-gzip dist-xz])
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment